Skip to content
SixArm.com » Ruby » ActiveRecord extenstions: ActiveSupport::Memoizable for instance methods
CSS JavaScript HTML Ruby
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Failed to load latest commit information.
coverage
doc
lib
test
.codeclimate.yml
.document
.gemtest
.rspec
.travis.yml
CHANGES.md
CONTRIBUTING.md
LICENSE.md
README.md
Rakefile
VERSION
sixarm_ruby_active_record_memoize_instance_methods-1.0.6-sha512.txt
sixarm_ruby_active_record_memoize_instance_methods-1.0.6.gem
sixarm_ruby_active_record_memoize_instance_methods-1.0.7.gem
sixarm_ruby_active_record_memoize_instance_methods.gemspec

README.md

Ruby »
ActiveRecord Memoize Instance Methods

Introduction

ActiveRecord extenstions: ActiveSupport::Memoizable for instance methods.

See http://www.railway.at/articles/2008/09/20/a-guide-to-memoization

For docs go to http://sixarm.com/sixarm_ruby_active_record_memoize_instance_methods/doc

Want to help? We're happy to get pull requests.

Install

To install using a Gemfile, add this:

gem "sixarm_ruby_active_record_memoize_instance_methods", ">= 1.0.7", "< 2"

To install using the command line, run this:

gem install sixarm_ruby_active_record_memoize_instance_methods -v ">= 1.0.7, < 2"

To install using the command line with high security, run this:

wget http://sixarm.com/sixarm.pem
gem cert --add sixarm.pem && gem sources --add http://sixarm.com
gem install sixarm_ruby_active_record_memoize_instance_methods -v ">= 1.0.7, < 2" --trust-policy HighSecurity

To require the gem in your code:

require "sixarm_ruby_active_record_memoize_instance_methods"
Something went wrong with that request. Please try again.